StarObjectSmallGraphicInternal::SDUDGraphicAnimation Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SDUDGraphicAnimation Class Reference

Internal: virtual class to store a SDUD graphic animation. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SDUDGraphicAnimation:

## Public Member Functions
| SDUDGraphicAnimation ()
| constructor More...
virtual std::string | print () const
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SDUDGraphic
| SDUDGraphic (int id)
| constructor More...
std::string | getName () const
| return the object name More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...
virtual bool | send (STOFFListenerPtr, StarObject &)
| try to send the graphic to the listener More...

## Public Attributes
std::vector< STOFFVec2i > | m_polygon
| the polygon More...
STOFFVec2i | m_limits [2]
| the limits start, end More...
int | m_values [8]
| the values: presentation effect, speed, clickAction, presentation effect[second], speed[second], invisible, verb, text effect More...
STOFFColor | m_colors [2]
| the colors More...
bool | m_flags [3]
| some flags : active, dim[previous], isMovie More...
bool | m_booleans [5]
| some bool : hasSound, playFull, sound[second], playFull[second], dim[hide] More...
librevenge::RVNGString | m_names [3]
| the names : sound file, bookmark, sound file[second] More...
int | m_order
| the presentation order More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SDUDGraphicAnimation const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a SDUD graphic animation.

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::SDUDGraphicAnimation::SDUDGraphicAnimation | ( |  | ) |
| inline

constructor

## Member Function Documentation

virtual std::string StarObjectSmallGraphicInternal::SDUDGraphicAnimation::print | ( |  | ) | const
| inlinevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SDUDGraphic.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | SDUDGraphicAnimation const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

bool StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_booleans[5]

some bool : hasSound, playFull, sound[second], playFull[second], dim[hide]

STOFFColor StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_colors[2]

the colors

bool StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_flags[3]

some flags : active, dim[previous], isMovie

STOFFVec2i StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_limits[2]

the limits start, end

librevenge::RVNGString StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_names[3]

the names : sound file, bookmark, sound file[second]

int StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_order

the presentation order

std::vector<STOFFVec2i> StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_polygon

the polygon

int StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_values[8]

the values: presentation effect, speed, clickAction, presentation effect[second], speed[second], invisible, verb, text effect

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx